Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #181 (assigned enhancement)

Opened 12 years ago

Last modified 7 years ago

Hardware Support: AR5005V - MIMO Chipset

Reported by: ian@anbmacdonald.com Assigned to: mrenzmann (accepted)
Priority: minor Milestone: version 2.0.0 - far away
Component: madwifi: HAL Version: trunk
Keywords: 5513, MIMO Cc: hwinkel@gmail.com
Patch is attached: 0 Pending:

Description (Last modified by mentor)

I have a Dlink G520M PCI I was hoping to drop in as a replacement for a G520 I am using as an access point. Unfortunately there is no support right now. Modules load, but ath0 is not created.

0000:00:0c.0 Ethernet controller: Atheros Communications, Inc.: Unknown device 0020 (rev 01)
 Subsystem: D-Link System Inc: Unknown device 3a68
 Flags: bus master, medium devsel, latency 32, IRQ 11
 Memory at e1000000 (32-bit, non-prefetchable) [size=128K]
 Capabilities: [44] Power Management version 2

Pls let me know if sending my card would help - It is useless to me right now :)

Change History

11/26/05 23:13:31 changed by ian@ianbmacdonald.com

Also, email is ian@ianbmacdonald.com.. <sp>

11/28/05 08:58:37 changed by mrenzmann

Atheros contacts mentioned that future HAL versions will support MIMO chipsets. Unfortunately we have no further information about possible schedules for this feature. Adding support for MIMO chipsets also requires access to the HAL source, so we are depending on Atheros to see MIMO support added to the driver.

01/27/06 11:25:29 changed by mrenzmann

Sorry for the long delay, my queue was (and still is) congested. I've added a question about plans to support the MIMO/802.11n chipsets in the HAL to a long list of questions that I've sent to Atheros today.

01/30/06 06:53:27 changed by mrenzmann

  • status changed from new to assigned.
  • owner set to mrenzmann.

Answer from Atheros:

We can support all current chips except for the new mimo chip at this time. That will be supported as soon as possible, but there is no schedule yet ...

Since there are seemingly some unsupported chipsets in the current HAL release, thisstatement most probably refers to a yet-to-be-released new version of the HAL (which has been said to be upcoming; I've already asked for a release schedule).

03/29/06 10:52:35 changed by dgrana

  • patch_attached changed.

any news about 5513 MIMO chips support?

04/10/06 04:30:22 changed by anonymous

Okay, I guess I'll return my new ZyXEL M-302 cards to CompUSA. . .

04/11/06 11:02:41 changed by anonymous

  • cc set to hwinkel@gmail.com.

08/15/06 05:33:39 changed by quad

MIMO/802.11n seems now to be supported by Atheros XSPAN technology. View Atheros Technical FAQ about XSPAN at ht+tp://www.atheros-xspan.com/index.php?page=Technology&sub=Technical+FAQ

08/18/06 15:56:59 changed by anonymous

Does that mean this device is now supported?

09/18/06 13:32:12 changed by mrenzmann

No, neither the HAL nor the driver has MIMO support currently and there is still no schedule, so don't hold your breath on it. However, we will announce MIMO support when it becomes available.

11/20/06 08:23:56 changed by anonymous

HI I would like to know if Atheros has released the driver support for 11n/MIMO.

What is the link to access the code?

Any reply from Atheros about support for AR5416, AR5418 and AR5513 MIMO chip?

What is the schedule?

11/20/06 09:46:14 changed by mrenzmann

No 11n/MIMO support available yet, neither in the HAL nor in the driver (otherwise we would have announced it, as stated above).

There are rough plans to get legacy support for 11n/MIMO chipsets into the HAL, so that card which base on one of these chipsets can be used with "normal" 11a/b/g networks (without the specialities of 11n/MIMO). However, there is no schedule for that yet. See also #1001.

03/22/07 18:25:06 changed by Carsten.Lichy@Bittendorf-online.de

3 month later Is there still no support neither a schedule?

03/22/07 20:44:13 changed by mrenzmann

No support yet, and I know of no schedule as far as the HAL is concerned. Sorry.

05/15/07 01:25:42 changed by mentor

Try the new madwifi-hal-0.9.30.13 branch.

05/25/07 23:09:08 changed by anonymous

AR5416 work with new madwifi but aren't implemented ad-hoc mode and 802.11n draft. if someone could support this feature i will be happy

07/26/07 02:16:48 changed by mentor

  • description changed.

07/26/07 02:21:23 changed by mentor

  • summary changed from WishList: Support for 5513 MIMO chips to Hardware Support: AR5005V - MIMO Chipset.

07/26/07 05:16:37 changed by mentor

  • component changed from madwifi: driver to madwifi: HAL.

08/07/07 18:11:14 changed by anonymous

There is a temporary solution for M-302 card owners. Use ndiswrapper ndiswrapper.sourceforge.net version 1.47 or greater. I can verify this works until madwifi gets support.

11/01/07 22:16:32 changed by anonymous

any news on actual support for ar5005 chipsets?

11/02/07 06:30:02 changed by mrenzmann

AR5005 family is generally supported, with the exception of AR5005V (which this ticket deals with).

11/02/07 11:25:44 changed by anonymous

sorry, that's what i meant. are there any updated news on the ar5005vl chip? (168c:0020)

12/18/07 23:09:20 changed by anonymous

any news about DWL-G520M support?

01/01/08 22:33:32 changed by Scoppy

hello , i have found MIPS driver from dlink di-624m router

this link ftp://ftp.dlink.com/GPL/DI-624M/DI-624M-Src.tgz is the open source SDK for D-Link DI-624m MIMO router (contains atheros driver)

this the dir atheros

ar5513_drv.o ar5513_main.o ar.o atdi.o

and this is the README

#Atheros Thin PCI driver README file.

1. Compiling the driver: 

    Change Makefile "KERNELDIR" variable to point to your linux kernel.

2. Loading the driver.

   #insmod ./ar.o mode=tx

   NOTE: Run "ifconfig eth1 <ip addr> up" after loading the driver
         successfully.

3. Unloading the driver.

   #rmmod ar

can some one reverse engineering this MIPS driver?

08/10/08 09:24:27 changed by anonymous

still not supported?

(in reply to: ↑ description ) 10/10/08 00:18:49 changed by anonymous

Will this chipset ever be supported or has atheros given up on what they consider old hardware?

Replying to ian@anbmacdonald.com:

I have a Dlink G520M PCI I was hoping to drop in as a replacement for a G520 I am using as an access point. Unfortunately there is no support right now. Modules load, but ath0 is not created. {{{ 0000:00:0c.0 Ethernet controller: Atheros Communications, Inc.: Unknown device 0020 (rev 01) Subsystem: D-Link System Inc: Unknown device 3a68 Flags: bus master, medium devsel, latency 32, IRQ 11 Memory at e1000000 (32-bit, non-prefetchable) [size=128K] Capabilities: [44] Power Management version 2 }}} Pls let me know if sending my card would help - It is useless to me right now :)

10/11/08 00:41:07 changed by anonymous

change the title its AR5005VL any update?

10/11/08 00:51:52 changed by anonymous

he's right "Used in DI-624M" could someone check the source please?

08/11/10 04:41:55 changed by anonymous

"Opened 5 years ago"

02/27/11 21:09:32 changed by Baal

Hi,

I bought a DWL-G520M 2 months ago, any good news for me ? :)